Bug 118252 - ATI 7000/VE "snow effect when window is moved"
ATI 7000/VE "snow effect when window is moved"
Product: Fedora
Classification: Fedora
Component: XFree86 (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2004-03-14 11:02 EST by Noa Resare
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-03-18 17:18:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Noa Resare 2004-03-14 11:02:05 EST
Description of problem:

When a window is moved a "snow effect" (blinking horizontal white
lines and dots) is credated to its right. Some resolutions/refresh
rates are far worse than others

Version-Release number of selected component (if applicable):
XFree86-4.3.0-63 (current fedora/development)
as well as XFree86 from FC1 release and errata.

How reproducible:

Steps to Reproduce:
1. Get a card that identifies itself as "ATI Radeon VE/7000 QY (AGP)"
(ChipID = 0x5159)
2. Set for example 1400x1050 as resolution (it is more visible at
1400x1050@85.3Hz but can also be seen @74.8Hz
3. Move a window or make some text scroll really fast
Actual results:
White flickering dots and lines to the left of the moved window.

Expected results:
Stable picture without mentioned artifacts

Additional info:

According to the upstream bug at
http://bugs.xfree86.org/show_bug.cgi?id=175 it is a bandwidth
calculation bug fixed in xfree cvs. The cvs log message to
radeon_driver.c version 1.108 (xfree86 cvs) states the following:

date: 2003/10/07 22:47:12;  author: martin;  state: Exp;  lines: +692 -151
 478. Radeon driver fixes (Hui Yu@ATI)
  - Add display bandwidth calculation routine to fix 
    flickering/tearing display problem

I can verify this problem as fixed with freedesktop.org's XORG-CURRENT
branch when I tested is earlier today.

I hope that you will find time to merge this fix in time for FC2
Comment 1 Mike A. Harris 2004-03-14 13:15:24 EST
We're planning on shipping xorg x11 in FC2.
Comment 2 Noa Resare 2004-03-14 13:37:52 EST
That's excellent news. Anything I can do to help out?
Comment 3 Mike A. Harris 2004-03-15 03:25:51 EST
For now, there is nothing for people to do, but once it is in
Fedora devel, you can give it a whirl and report back bugs, etc.
if you like.  That would be a big help once things are ready.

Thanks for the offer!
Comment 4 Noa Resare 2004-03-18 17:18:43 EST
I can no longer reproduce the problem with

Note You need to log in before you can comment on or make changes to this bug.